API Reference

Fetch a payment plan

GET/payment_plans/{id_or_reference}

Query Parameters

id_or_referencestring

ID or merchant's reference of the payment plan.

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/payment_plans/071-PP-8389G3DA -u TEST:TEST

Response

200Result
json
{
  "successful":true,
  "response":{
  "id":"071-PP-8389G3DA",
  "customer":"071-C-JE34F66V",
  "amount":100,
  "currency":null,
  "setup_fee":0,
  "frequency":"Weekly",
  "anniversary":5,
  "start_date":"2025-07-16",
  "end_date":null,
  "total_count":2,
  "total_amount":null,
  "payment_method":"Credit Card",
  "reference":"071-PP-8389G3DA",
  "description":null,
  "status":"Active",
  "status_reason":"None",
  "created_at":"2018-07-11T16:23:39+10:00",
  "failed_payment_fee":0,
  "retry_interval":3,
  "status_change_date":null,
  "payments":[
    {
    "id":"071-PT-WQ8LIHI4",
    "payment_plan":"071-PP-8389G3DA",
    "reference":"071-PP-8389G3DA-0001",
    "amount":100,
    "currency":null,
    "scheduled_date":"2025-07-18",
    "payment_method":"Credit Card",
    "status":"Scheduled",
    "result":null,
    "records":[]
    },
    {
    "id":"071-PT-QNFQFYW2",
    "payment_plan":"071-PP-8389G3DA",
    "reference":"071-PP-8389G3DA-0002",
    "amount":100,
    "currency":null,
    "scheduled_date":"2025-07-25",
    "payment_method":"Credit Card",
    "status":"Scheduled",
    "result":null,
    "records":[]
    }
  ]
  },
  "errors":[],
  "test":true
}
404Result
json
{
  "successful":false,
  "response":{},
  "errors":["Could not find Payment Plan"],
  "test":true
}